GHSA-9h6p-92jq-888x

Suggest an improvement
Source
https://github.com/advisories/GHSA-9h6p-92jq-888x
Import Source
https://github.com/github/advisory-database/blob/main/advisories/github-reviewed/2022/05/GHSA-9h6p-92jq-888x/GHSA-9h6p-92jq-888x.json
JSON Data
https://api.osv.dev/v1/vulns/GHSA-9h6p-92jq-888x
Aliases
  • CVE-2015-0886
Published
2022-05-13T01:05:53Z
Modified
2023-11-08T03:57:48.718495Z
Summary
Integer Overflow or Wraparound in JBCrypt
Details

Integer overflow in the crypt_raw method in the key-stretching implementation in JBCrypt before 0.4 makes it easier for remote attackers to determine cleartext values of password hashes via a brute-force attack against hashes associated with the maximum exponent.

References

Affected packages

Maven / org.mindrot:jbcrypt

Package

Name
org.mindrot:jbcrypt
View open source insights on deps.dev
Purl
pkg:maven/org.mindrot/jbcrypt

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
0.4

Affected versions

0.*

0.3m